org.keycloak.connections.mongo.updater.updates

## Class Update

- java.lang.Object
- - org.keycloak.connections.mongo.updater.updates.Update

- Direct Known Subclasses:
    Update1_0_0_Final, Update1_1_0_Beta1

      public abstract class Update
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.mongodb.DB` | `db`
    `protected org.jboss.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Update()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.mongodb.DBCollection` | `createCollection(String name)`
    `protected void` | `deleteEntries(String collection)`
    `protected void` | `ensureIndex(String name, String[] fields, boolean unique, boolean sparse)`
    `protected void` | `ensureIndex(String name, String field, boolean unique, boolean sparse)`
    `abstract String` | `getId()`
    `void` | `setDb(com.mongodb.DB db)`
    `void` | `setLog(org.jboss.logging.Logger log)`
    `abstract void` | `update()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### db

          protected com.mongodb.DB db

    - #### log

          protected org.jboss.logging.Logger log

  - ### Constructor Detail

    - #### Update

          public Update()

  - ### Method Detail

    - #### getId

          public abstract String getId()

    - #### update

          public abstract void update()
                               throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### createCollection

          protected com.mongodb.DBCollection createCollection(String name)

    - #### ensureIndex

          protected void ensureIndex(String name,
                         String field,
                         boolean unique,
                         boolean sparse)

    - #### ensureIndex

          protected void ensureIndex(String name,
                         String[] fields,
                         boolean unique,
                         boolean sparse)

    - #### deleteEntries

          protected void deleteEntries(String collection)

    - #### setLog

          public void setLog(org.jboss.logging.Logger log)

    - #### setDb

          public void setDb(com.mongodb.DB db)

Copyright © 2014. All Rights Reserved.